## debian-policy 4.1.4.1

=== Makefile ===
# Build rules for Debian Policy.
#
# This is not completely standalone and independent of the Debian packaging
# in that it uses debian/changelog to get the version number and release
# date for incorporation into other documents.  Except for that, however,
# the design goal of these build rules is to build the Policy documents
# independent of their Debian packaging in the debian directory.

# Basic package information.
PACKAGE   := $(shell dpkg-parsechangelog -SSource)
TIMESTAMP := $(shell dpkg-parsechangelog -STimestamp)
DATE      := $(shell date -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   := $(shell dpkg-parsechangelog -SVersion)

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export DBLATEX  = dblatex -p xsl/dblatex.xsl
export DIA      = dia
export MDWN     = multimarkdown
export SPHINX   = sphinx-build
export XMLLINT  = xmllint --nonet --noout --postvalid --xinclude
export XSLTPROC = xsltproc --nonet --xinclude

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)
docdir      = $(datadir)/doc/$(PACKAGE)
infodir     = $(datarootdir)/info

# Installation programs to use.
INSTALL = install -p -o root -g root -m 644
MKDIR   = install -d -o root -g root -m 755

# Files included by debconf_specification.xml.
DEBCONF_INCLUDES := debconf/commands.xml debconf/priorities.xml	\
	            debconf/statuscodes.xml debconf/types.xml

# doc-base description files for the documents we include.
DESC_FILES  := autopkgtest copyright-format-1.0 debconf-spec debian-policy \
	       debian-menu-policy debian-perl-policy fhs

# Our local copy of the File Hierarchy Standard.  We don't build this from
# source, but we do have a copy of the source in FHS_ARCHIVE.
FHS_ARCHIVE := fhs-2.3-source.tar.gz
FHS_FILES   := fhs-2.3.html fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz

# Markdown source files in the top-level directory.  We generate text and
# HTML versions from these.
MDWN_FILES  := README autopkgtest

# Dia diagrams in the policy/images subdirectory.
DIA_FILES   := $(wildcard policy/images/*.dia)

# Dia diagrams converted to PNG in images/ subdirectory.
DIA_PNGS    := $(DIA_FILES:.dia=.png)

# Dia diagrams converted to SVG in images/ subdirectory.
DIA_SVGS    := $(DIA_FILES:.dia=.svg)

# DocBook source files in the top-level directory.  We do some common actions
# with each of these: build text, HTML, and one-page HTML output.
XML_FILES   := menu-policy perl-policy

# DocBook source files in the top-level directory that should only generate
# single-page HTML output (no split HTML output).
XML_SINGLE_FILES := copyright-format-1.0 debconf_specification

# XML document version files.  These are generated at build time from the
# current version and date information from the Debian changelog.
XML_VERSION := copyright-format/version.xml debconf_spec/include/version.xml \
	       version.xml

# A list of the simple Policy files that we build at the top level and in
# subdirectories and include in the documentation directory of the generated
# package.  The directories of HTML output are handled separately.
POLICY_FILES := $(MDWN_FILES:=.html)				\
		$(MDWN_FILES:=.txt)				\
		$(XML_FILES:=-1.html)				\
		$(XML_FILES:=.txt)				\
		$(XML_SINGLE_FILES:=.html)			\
		$(XML_SINGLE_FILES:=.txt)			\
		README.css					\
		policy/_build/epub/policy.epub			\
		policy/_build/latex/policy.pdf			\
		policy/_build/policy.txt			\
		policy/_build/text/upgrading-checklist.txt	\
		virtual-package-names-list.txt

# A list of generated info files to install.
INFO_FILES := policy/_build/texinfo/debian-policy.info

# Source files that go into the Debian Policy manual.
POLICY_SOURCE := $(wildcard policy/*.rst) policy/conf.py policy/index.rst

# Used by the clean rules.  FILES_TO_CLEAN are individual generated files to
# remove.  DIRS_TO_CLEAN are entire directories to remove.
DIRS_TO_CLEAN  := $(XML_FILES:=.html) policy/_build fhs
FILES_TO_CLEAN := $(MDWN_FILES:=.html)			\
		  $(MDWN_FILES:=.txt)			\
		  $(XML_FILES:=.html.tar.gz)		\
		  $(XML_FILES:=-1.html)			\
		  $(XML_FILES:=.txt)			\
		  $(XML_FILES:=.validate)		\
		  $(XML_SINGLE_FILES:=.html)		\
		  $(XML_SINGLE_FILES:=.txt)		\
		  $(XML_SINGLE_FILES:=.validate)	\
		  $(DIA_PNGS)				\
		  policy/index.rst			\
		  version.md version.xml


#
# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#

all: $(XML_FILES:=.validate) $(XML_SINGLE_FILES:=.validate)		\
     $(XML_FILES:=.html.tar.gz) $(POLICY_FILES) $(INFO_FILES)		\
     policy/_build/singlehtml/index.html policy/_build/html/index.html

clean distclean:
	rm -f $(FILES_TO_CLEAN)
	rm -rf $(DIRS_TO_CLEAN)

install: all
	$(MKDIR) $(DESTDIR)$(docdir)
	$(MKDIR) $(DESTDIR)$(docdir)/fhs
	$(INSTALL) $(POLICY_FILES) $(DESTDIR)$(docdir)
	$(INSTALL) $(FHS_FILES)    $(DESTDIR)$(docdir)/fhs
	@set -ex; for file in $(XML_FILES); do			\
	    tar -C $(DESTDIR)$(docdir) -zxf $$file.html.tar.gz;	\
	done
	$(MKDIR) $(DESTDIR)$(docdir)/policy.html
	cp -dR policy/_build/html/* $(DESTDIR)$(docdir)/policy.html/
	$(INSTALL) policy/_build/singlehtml/index.html \
	    $(DESTDIR)$(docdir)/policy-1.html
	$(MKDIR) $(DESTDIR)$(docdir)/_images
	cp -dR policy/_build/singlehtml/_images/* $(DESTDIR)$(docdir)/_images/
	$(MKDIR) $(DESTDIR)$(docdir)/_static
	cp -dR policy/_build/singlehtml/_static/* $(DESTDIR)$(docdir)/_static/
	$(MKDIR) $(DESTDIR)$(infodir)
	$(INSTALL) $(INFO_FILES) $(DESTDIR)$(infodir)
	$(INSTALL) $(DIA_PNGS) $(DESTDIR)$(infodir)

.PHONY: all clean distclean install


#
# Version files.  These incorporate the version and release date of the
# debian-policy package into the various specifications as their version and
# publication date.
#

policy/conf.py policy/index.rst: %: %.in debian/changelog
	sed -e 's/@VERSION@/$(VERSION)/' -e 's/@DATE@/$(DATE)/' $< > $@

version.md: debian/changelog
	rm -f $@
	echo					 > $@
	echo '---'				 >> $@
	echo 'Debian Policy $(VERSION), $(DATE)' >> $@

version.xml: debian/changelog
	rm -f $@
	echo '<?xml version="1.0" encoding="utf-8"?>' > $@
	echo '<!ENTITY version "$(VERSION)">'	     >> $@
	echo '<!ENTITY date    "$(DATE)">'	     >> $@


#
# Individual file and pattern build rules.
#

# There doesn't seem to be a better way of adding this include dependency.
debconf_specification.html: $(DEBCONF_INCLUDES)
debconf_specification.txt: $(DEBCONF_INCLUDES)
debconf_specification.validate: $(DEBCONF_INCLUDES)

# The text version of the upgrading checklist come from the Policy text build.
policy/_build/text/upgrading-checklist.txt: policy/_build/policy.txt

policy/_build/epub/policy.epub: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M epub policy policy/_build

policy/_build/html/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M html policy policy/_build

policy/_build/latex/policy.pdf: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M latexpdf policy policy/_build

policy/_build/policy.txt: $(POLICY_SOURCE)
	rm -f $@
	$(SPHINX) -M text policy policy/_build
	cp policy/_build/text/index.txt $@
	set -e;								 \
	    files=$$(egrep '^   (ch-|ap-|upgrading-)' policy/index.rst); \
	    for f in $$files; do					 \
		printf "\n\n\n"                  >>$@;			 \
		cat policy/_build/text/"$$f".txt >>$@;			 \
	    done

policy/_build/singlehtml/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
	$(SPHINX) -M singlehtml policy policy/_build
	perl -pli -e 's,href="index\.html#,href="#,g' $@
	perl -pli -e 's,(genindex|search)\.html,policy.html/$$1.html,' $@

policy/_build/texinfo/debian-policy.info: $(POLICY_SOURCE)
	$(SPHINX) -M info policy policy/_build

$(MDWN_FILES:=.txt): %.txt: %.md version.md
	cat $^ > $@
	test "$@" != "README.txt"  ||				\
           perl -pli -e 's,./Process.md,Process.txt,g' $@

$(MDWN_FILES:=.html): %.html: %.md version.md
	cat $^ | $(MDWN) > $@

$(DIA_PNGS): policy/images/%.png: policy/images/%.dia
	$(DIA) -e $@ $^

$(DIA_SVGS): policy/images/%.svg: policy/images/%.dia
	$(DIA) -e $@ $^

# Suppress the table of contents for the standalone upgrading checklist.
upgrading-checklist-1.html: XSLPARAMS = --stringparam generate.toc ''
upgrading-checklist.txt: XSLPARAMS = --stringparam generate.toc ''

%.validate: %.xml version.xml
	$(XMLLINT) $<
	touch $@

%.html/index.html: %.xml xsl/html-chunk.xsl version.xml
	mkdir -p $(@D)/images
	$(XSLTPROC) $(XSLPARAMS)		\
	    --stringparam base.dir $(@D)/	\
	    xsl/html-chunk.xsl $<

$(XML_SINGLE_FILES:=.html): %.html: %.xml xsl/html-single.xsl version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%-1.html: %.xml xsl/html-single.xsl version.xml $(DIA_PNGS)
	$(XSLTPROC) $(XSLPARAMS) xsl/html-single.xsl $< > $@

%.html.tar.gz: %.html/index.html
	tar -czf $(<:/index.html=.tar.gz) $(<:/index.html=)

$(XML_FILES:=.txt) $(XML_SINGLE_FILES:=.txt) $(XML_SPLIT_FILES:=.txt): \
%.txt: %.xml version.xml
	$(XSLTPROC) $(XSLPARAMS) xsl/text.xsl $< > $@.html
	links -codepage utf-8 -dump $@.html | perl -pe 's/[\r\0]//g' > $@
	rm -f $@.html


#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
debian-policy (4.1.4.1) unstable; urgency=medium

  * Fix some errors in upgrading checklist.
    Thanks to several people for noticing these.
    Thanks to Jeremy Bicha for a patch.
  * Soften wording in upgrading checklist for removal of get-orig-source
    target.
    Thanks Helmut Grohne for the new wording.
  * Fix sample postinst in 9.1.2 to comply with new required permissions
    for /usr/local (Closes: #895136).
    Thanks to Niels Thykier for noticing the problem, and for the new
    sample script.
    - Reorder 9.1.2 so that details of the permissions requirement appear
      before the sample postinst.
      This ensures that the complexity of the sample postinst makes sense
      to the reader.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Apr 2018 09:13:01 -0700

debian-policy (4.1.4.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Drop get-orig-source rules target
    Wording: Helmut Grohne <helmut@subdivi.de>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #515856
  * Policy: Update required permissions for /usr/local
    Wording: Santiago Vila <sanvila@unex.es>
    Seconded: Don Armstrong <don@debian.org>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #299007
  * Policy: Document debian/missing-sources
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Closes: #742364
  * Policy: Uniqueness of version numbers
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #881431
  * Update recommendations dh_systemd_* -> dh_installsystemd (Closes: #889167).
    Thanks Chris Lamb for the report.
  * Fix some typos (Closes: #886890).
    Thanks Sebastian Rasmussen for the patch.
  * Fix some errors in shell script snippets caused by the rST conversion
    script (Closes: #888437).
    Thanks Yao Wei for the patch.
  * Fix version of init-system-helpers required for `defaults-disabled`
    option from 1.5.0 to 1.50.
    Thanks to GengYu Rao for noting this on the debian-policy list.
  * Fix indentation of description of the clean target (Closes: #889960).
    Thanks Ferenc Wágner for the report.

  [ Jonathan Nieder ]
  * Use default-mta instead of exim in dependency example (Closes: #892142).
    Thanks to Paul Wise for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Apr 2018 09:08:16 -0700

debian-policy (4.1.3.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Add CC0-1.0 to common-licenses
    Wording: Jeremy Bicha <jbicha@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #859649, #882628
  * Policy: Clarify when Built-Using should be used
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #688251
  * Policy: Use update-rc.d's defaults-disabled instead of DISABLED=yes
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Closes: #522163, #601455, #661496
    - Also explain how the local administrator can enable/disable
      autostarting daemons using update-rc.d.
  * Point Vcs-* fields at salsa.debian.org.
  * README: update references & URIs alioth->salsa
  * Maintainer field: "Debian Policy List"->"Debian Policy Editors"
    To match our new group on salsa.debian.org.

  [ Russ Allbery ]
  * Policy: Recommend that Vcs-* URLs provide confidentiality
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #810381
  * Policy: Clarify that programs may search PATH for editor and pager
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #880992
  * Policy: Allow libc to install files in /lib64
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #885219
  * Use the term synopsis consistently in copyright-format.  Thanks, Ben
    Finney.  (Closes: #874095)
  * Fix various minor wording issues and add additional cross-references
    in copyright-format.  Thanks, Ben Finney.  (Closes: #874090)
  * Adapt tools/license-count to run against ftp-master metadata instead
    of the Lintian lab, add patterns for CC0-1.0, and add some comments on
    how to run this tool.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Dec 2017 22:13:55 +0000

debian-policy (4.1.2.0) unstable; urgency=medium

  * Policy: /usr/bin/perl shebang 'should' -> 'must'
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Salvatore Bonaccorso <carnil@debian.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Dominique Dumont <dod@debian.org>
    Closes: #683495
  * Policy: Update where private shared object files may be installed
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Mattia Rizzolo <mattia@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #636383
  * Policy: Convention for naming packages with potentially offensive content
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Gunnar Wolf <gwolf@debian.org>


=== debian/control ===
Source: debian-policy
Maintainer: Debian Policy Editors <debian-policy@lists.debian.org>
Uploaders:
 Andreas Barth <aba@debian.org>,
 Bill Allombert <ballombe@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
 Russ Allbery <rra@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 dblatex,
 debhelper (>= 10),
 dia,
 docbook-xml,
 docbook-xsl,
 latexmk,
 libtext-multimarkdown-perl,
 libxml2-utils,
 links | elinks,
 python3-sphinx,
 sphinx-common (>= 1.6.5),
 texinfo,
 xsltproc,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
Vcs-Git: https://salsa.debian.org/dbnpolicy/policy

Package: debian-policy
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 doc-base,
Built-Using: ${sphinxdoc:Built-Using}
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Debian Menu sub-policy
    - Debian Perl sub-policy
    - Debian configuration management specification
    - Machine-readable debian/copyright specification
    - Autopkgtest - automatic as-installed package testing
    - Authoritative list of virtual package names
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc

## debian-policy 4.2.1.0

=== Makefile ===
--- 
+++ 
@@ -12,14 +12,18 @@
 DATE      := $(shell date -d '@$(TIMESTAMP)' +'%Y-%m-%d')
 VERSION   := $(shell dpkg-parsechangelog -SVersion)
 
+# Translated languages
+LANGUAGES = ja
+
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.
-export DBLATEX  = dblatex -p xsl/dblatex.xsl
-export DIA      = dia
-export MDWN     = multimarkdown
-export SPHINX   = sphinx-build
-export XMLLINT  = xmllint --nonet --noout --postvalid --xinclude
-export XSLTPROC = xsltproc --nonet --xinclude
+export DBLATEX    = dblatex -p xsl/dblatex.xsl
+export DIA        = dia
+export MDWN       = multimarkdown
+export SPHINX     = sphinx-build
+export SPHINXINTL = sphinx-intl
+export XMLLINT    = xmllint --nonet --noout --postvalid --xinclude
+export XSLTPROC   = xsltproc --nonet --xinclude
 
 # Installation directories.  Normally this is only used by debian/rules
 # build, which will set DESTDIR to put the installation under the temporary
@@ -43,9 +47,9 @@
 	       debian-menu-policy debian-perl-policy fhs
 
 # Our local copy of the File Hierarchy Standard.  We don't build this from
-# source, but we do have a copy of the source in FHS_ARCHIVE.
-FHS_ARCHIVE := fhs-2.3-source.tar.gz
-FHS_FILES   := fhs-2.3.html fhs-2.3.ps.gz fhs-2.3.txt.gz fhs-2.3.pdf.gz
+# source, but we do have a copy of the source in FHS_SOURCE.
+FHS_SOURCE  := fhs-3.0-source
+FHS_FILES   := fhs-3.0.html fhs-3.0.txt.gz fhs-3.0.pdf.gz
 
 # Markdown source files in the top-level directory.  We generate text and
 # HTML versions from these.
@@ -97,7 +101,7 @@
 
 # Used by the clean rules.  FILES_TO_CLEAN are individual generated files to
 # remove.  DIRS_TO_CLEAN are entire directories to remove.
-DIRS_TO_CLEAN  := $(XML_FILES:=.html) policy/_build fhs
+DIRS_TO_CLEAN  := $(XML_FILES:=.html) policy/_build fhs $(wildcard policy-*)
 FILES_TO_CLEAN := $(MDWN_FILES:=.html)			\
 		  $(MDWN_FILES:=.txt)			\
 		  $(XML_FILES:=.html.tar.gz)		\
@@ -108,6 +112,7 @@
 		  $(XML_SINGLE_FILES:=.txt)		\
 		  $(XML_SINGLE_FILES:=.validate)	\
 		  $(DIA_PNGS)				\
+		  policy/locale/*/LC_MESSAGES/*.mo	\
 		  policy/index.rst			\
 		  version.md version.xml
 
@@ -119,7 +124,23 @@
 
 all: $(XML_FILES:=.validate) $(XML_SINGLE_FILES:=.validate)		\
      $(XML_FILES:=.html.tar.gz) $(POLICY_FILES) $(INFO_FILES)		\
-     policy/_build/singlehtml/index.html policy/_build/html/index.html
+     policy/_build/singlehtml/index.html policy/_build/html/index.html	\
+     $(foreach lang,$(LANGUAGES),policy/_build/locales/$(lang)/html/index.html)
+
+#
+# Create .po files for translation
+#
+
+# In the following, export locale variables to avoid gettext errors.
+# Don't simply export at the top of this Makefile to avoid affecting
+# the .js files generated for the English version
+
+update-po: $(POLICY_SOURCE)
+	$(SPHINX) -M gettext policy policy/_build
+	@set -ex; for lang in $(LANGUAGES); do				\
+		LC_ALL=C.UTF-8 LANG=C.UTF-8 $(SPHINXINTL) update	\
+			-p $(CURDIR)/policy/_build/gettext -l $$lang;	\
+	done
 
 clean distclean:
 	rm -f $(FILES_TO_CLEAN)
@@ -135,17 +156,24 @@
 	done
 	$(MKDIR) $(DESTDIR)$(docdir)/policy.html
 	cp -dR policy/_build/html/* $(DESTDIR)$(docdir)/policy.html/
-	$(INSTALL) policy/_build/singlehtml/index.html \
-	    $(DESTDIR)$(docdir)/policy-1.html
-	$(MKDIR) $(DESTDIR)$(docdir)/_images
-	cp -dR policy/_build/singlehtml/_images/* $(DESTDIR)$(docdir)/_images/
-	$(MKDIR) $(DESTDIR)$(docdir)/_static
-	cp -dR policy/_build/singlehtml/_static/* $(DESTDIR)$(docdir)/_static/
+	@set -ex; for lang in $(LANGUAGES); do				\
+		$(MKDIR) $(DESTDIR)$(docdir)/$$lang/policy.html;	\
+		cp -dR policy/_build/locales/$$lang/html/*		\
+			$(DESTDIR)$(docdir)/$$lang/policy.html/;	\
+	done
+	# don't install Sphinx singlehtml output until various bugs
+	# are fixed upstream (e.g. #873456, #876075, #879048)
+	# $(INSTALL) policy/_build/singlehtml/index.html \
+	#     $(DESTDIR)$(docdir)/policy-1.html
+	# $(MKDIR) $(DESTDIR)$(docdir)/_images
+	# cp -dR policy/_build/singlehtml/_images/* $(DESTDIR)$(docdir)/_images/
+	# $(MKDIR) $(DESTDIR)$(docdir)/_static
+	# cp -dR policy/_build/singlehtml/_static/* $(DESTDIR)$(docdir)/_static/
 	$(MKDIR) $(DESTDIR)$(infodir)
 	$(INSTALL) $(INFO_FILES) $(DESTDIR)$(infodir)
 	$(INSTALL) $(DIA_PNGS) $(DESTDIR)$(infodir)
 
-.PHONY: all clean distclean install
+.PHONY: all clean distclean install update-po
 
 
 #
@@ -184,6 +212,10 @@
 
 policy/_build/epub/policy.epub: $(POLICY_SOURCE) $(DIA_PNGS)
 	$(SPHINX) -M epub policy policy/_build
+
+policy/_build/locales/%/html/index.html: $(POLICY_SOURCE) $(DIA_PNGS) \
+		locales/% update-po
+	$(SPHINX) -b html -Dlanguage="$*" policy "policy/_build/locales/$*/html"
 
 policy/_build/html/index.html: $(POLICY_SOURCE) $(DIA_PNGS)
 	$(SPHINX) -M html policy policy/_build

=== debian/changelog ===
debian-policy (4.2.1.0) unstable; urgency=medium

  * Policy & Perl Policy: /usr/bin/perl shebang 'must' -> 'should'
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #906901
  * Fix inconsistent wording in 4.9 by dropping the word 'maximally'
    (Closes: #905251).
    Thanks to several people who pointed out this issue, both in the BTS
    and in person.

  * Demote libjs-sphinxdoc hard dependencies to recommendations by using
    an override_dh_linktree stanza (Closes: #906139).
    Thanks to Vagrant Cascadian and Sven Joachim for the report and Ian
    Jackson for suggesting the fix.
  * README.md improvements:
    - Add references to salsa:dbnpolicy/policy-l10n-merge-requests-here
      repo.
    - Improve the description of the release process (Closes: #905909)
      Thanks Osamu Aoki for the patch.
    - Add a link to the new 'by-complexity' BTS view.
    - Some other small fixes (Closes: #905696).
      Thanks Helge Kreutzmann for pointing them out.
  * Update and alphabetise lists of the Policy delegates in various places.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 25 Aug 2018 13:05:54 -0700

debian-policy (4.2.0.1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Partial translation of Policy Manual chs. 1--3 into Japanese.
    - Add debian-policy-ja binary package.
  * Infrastructure for translations.
    - New build dependency on sphinx-intl.

  [ Sean Whitton ]
  * Switch dh_sphinxdoc->dh_linktree.
    dh_sphinxdoc gets confused by the use of sphinx-intl.
    - New build dependency on dh-linktree.
  * Bump copyright years in d/copyright.
  * Refer to rST source, not SGML source, in d/copyright.
  * Add section 1.6, "Translations".
  * Add "Translation" subsection to README.md.

  [ Sean Whitton & Ian Jackson ]
  * Simplify and rework Hideki's Makefile & dh_{auto_,}install changes.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 03 Aug 2018 19:31:54 +0800

debian-policy (4.2.0.0) unstable; urgency=medium

  * Policy: Standards-Version field is mandatory
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #886258
  * Policy: Builds should be verbose & 'terse' DEB_BUILD_OPTIONS flag
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Closes: #628515
  * Policy: Required targets may attempt some network access
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Osamu Aoki <osamu@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #813471
  * Policy: Installation of upstream release notes and changelogs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #459427

  * Add a third paragraph to 1.3.3 encouraging the submission of patches
    to document new techniques sooner rather than later, while making it
    clear that updating the Policy Manual should never block making other
    improvements to Debian.
  * Tweak wording in a sentence in 1.1.
  * Add a note to the README about why salsa merge requests are turned off.

  * Stop installing policy-1.html because Sphinx's singlehtml output is
    too buggy at present (Closes: #873456, #876075, #879048).
    See also #877367.  Thanks to Paul Wise for switching the web mirrors
    away from policy-1.html.

  * license-count: improve regex for some Creative Commons licenses.
    Thanks Jonathan Dowland for the patch.
  * Fix some indentation in ch-archive.rst.
    Thanks Hideki Yamane for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 02 Aug 2018 09:43:33 +0800

debian-policy (4.1.5.0) unstable; urgency=medium

  * Policy: Update section 4.1, "Standards conformance"
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #901160
  * Policy: Require d-devel consultation for each epoch bump
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Paul Gevers <elbrus@debian.org>
    Closes: #891216
  * Policy: Document Rules-Requires-Root
    Wording: Niels Thykier <niels@thykier.net>
    Wording: Guillem Jover <guillem@debian.org>
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Paul Gevers <elbrus@debian.org>
    Closes: #880920
  * Policy: Update version of POSIX standard for shell scripts
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Gunnar Wolf <gwolf@debian.org>
    Closes: #864615
  * Policy: Update version of FHS from 2.3 to 3.0
    Wording: Simon McVittie <smcv@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #787816
  * Add reference link to section 4.1 to section 5.6.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 04 Jul 2018 11:49:10 +0100

debian-policy (4.1.4.2) unstable; urgency=medium

  * Fix URL to the alioth lists service in footnote (Closes: #896749).
    Thanks Martin Zobel-Helas for the report.
  * Tidy up "Authors and Maintainers":
    - Add subsections to separate the record of the document's history
      from the description of how it is presently maintained
    - Correct claims about the role of the manual's maintainers: the
      Policy Editors actually do have editorial power, thanks to our


## debian-policy 4.2.1.1

=== debian/changelog ===
debian-policy (4.2.1.1) unstable; urgency=medium

  [ Sean Whitton ]
  * Drop stray colon in 4.9.
    Thanks to Thorsten Glaser for pointing this out.
  * New "Seeking seconds for a patch" section in README.md.
    Ralf Treinen suggested recommending that those who propose patches
    include word diffs and/or side-by-side diffs.
  * README.md: remove a lot of outdated information, some wordsmithing,
    and rearrangement to highlight opportunities for contribution.

  [ Russ Allbery ]
  * Add a footnote warning that different SONAMEs of the same shared
    library cannot always be made safely co-installable, but these
    exceptions are complex and beyond what Policy can explain.
    (Closes: #901437)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Sep 2018 13:27:09 -0700

## debian-policy 4.2.1.2

=== Makefile ===
--- 
+++ 
@@ -97,7 +97,7 @@
 INFO_FILES := policy/_build/texinfo/debian-policy.info
 
 # Source files that go into the Debian Policy manual.
-POLICY_SOURCE := $(wildcard policy/*.rst) policy/conf.py policy/index.rst
+POLICY_SOURCE := $(wildcard policy/*.rst) policy/conf.py policy/definition.txt
 
 # Used by the clean rules.  FILES_TO_CLEAN are individual generated files to
 # remove.  DIRS_TO_CLEAN are entire directories to remove.
@@ -113,7 +113,8 @@
 		  $(XML_SINGLE_FILES:=.validate)	\
 		  $(DIA_PNGS)				\
 		  policy/locale/*/LC_MESSAGES/*.mo	\
-		  policy/index.rst			\
+		  policy/conf.py			\
+		  policy/definition.txt			\
 		  version.md version.xml
 
 
@@ -182,7 +183,12 @@
 # publication date.
 #
 
-policy/conf.py policy/index.rst: %: %.in debian/changelog
+policy/definition.txt: debian/changelog
+	rm -f $@
+	echo '.. |policy_version| replace:: $(VERSION)' >> $@
+	echo '.. |policy_date| replace:: $(DATE)' >> $@
+
+policy/conf.py: %: %.in
 	sed -e 's/@VERSION@/$(VERSION)/' -e 's/@DATE@/$(DATE)/' $< > $@
 
 version.md: debian/changelog
@@ -196,7 +202,6 @@
 	echo '<?xml version="1.0" encoding="utf-8"?>' > $@
 	echo '<!ENTITY version "$(VERSION)">'	     >> $@
 	echo '<!ENTITY date    "$(DATE)">'	     >> $@
-
 
 #
 # Individual file and pattern build rules.

=== debian/changelog ===
debian-policy (4.2.1.2) unstable; urgency=medium

  * README.md: drop mention of 'dbnpolicy' UNIX group, which has now been
    deleted.
  * Upgrading checklist: drop the word 'maximally', to match the change to
    section 4.9 made in release 4.2.1.0.
  * README.md: add steps to add a new language.
  * Use Sphinx replacements to insert the version and date into index.rst,
    rather than substituting it in during the build (Closes: #909079).
    This means that .po files are invalidated slightly less frequently.
    Thanks to Hideki Yamane for the patch.
  * Rebuild to update Recommends: field (Closes: #910561).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 09 Oct 2018 14:25:50 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: debian-policy
 Maintainer: Debian Policy Editors <debian-policy@lists.debian.org>
 Uploaders:
- Andreas Barth <aba@debian.org>,
- Bill Allombert <ballombe@debian.org>,
+ Russ Allbery <rra@debian.org>,
  Sean Whitton <spwhitton@spwhitton.name>,
- Russ Allbery <rra@debian.org>,
 Section: doc
 Priority: optional
 Build-Depends:
  dblatex,
  debhelper (>= 10),
+ dh-linktree,
  dia,
  docbook-xml,
  docbook-xsl,
@@ -19,9 +18,10 @@
  links | elinks,
  python3-sphinx,
  sphinx-common (>= 1.6.5),
+ sphinx-intl,
  texinfo,
  xsltproc,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy
 
@@ -30,10 +30,10 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends},
+Recommends:
+ ${linktree:Recommends},
 Suggests:
  doc-base,
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Debian Policy Manual and related documents
  This package contains:
     - Debian Policy Manual
@@ -47,3 +47,17 @@
     - Policy checklist for upgrading your packages
  It also replaces the old Packaging Manual; most of the still-relevant
  content is now included as appendices to the Policy Manual.
+
+Package: debian-policy-ja
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Recommends:
+ ${linktree:Recommends},
+Suggests:
+ doc-base,
+Description: Debian Policy Manual and related documents (Japanese)
+ This package contains translations into Japanese of some of the
+ documents distributed in the debian-policy package.  Currently only
+ the HTML output format is available.

## debian-policy 4.2.1.3

=== debian/changelog ===
debian-policy (4.2.1.3) unstable; urgency=medium

  * Update URI to d-i internals manual (Closes: #906910).
    Thanks to Holger Wansing for the patch.
  * Crosslink and deduplicate 4.9 and 10.1.
    These sections both include discussion of the verbosity of build logs
    and compiler warnings.
  * Add policy/definition.txt to .gitignore.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 12:36:19 -0700

## debian-policy 4.2.1.4

=== debian/changelog ===
debian-policy (4.2.1.4) unstable; urgency=medium

  * Increase ToC depth 3->4 (Closes: #912059).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Oct 2018 11:30:59 -0700

## debian-policy 4.2.1.5

=== debian/changelog ===
debian-policy (4.2.1.5) unstable; urgency=medium

  * Add references to 'next' branch in README.md.
  * Replace a 'can' with a 'may' for readability in 7.7 (Closes: #824495).
    Thanks to Santiago Vila for reporting the problem.
  * Update location of sample init.d script (Closes: #913295).
    Thanks to Dmitry Bogatov for the patch.
  * Document in 1.1 that not all bugs are Policy violations (Closes: #913659).
    Thanks to Ian Jackson for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Nov 2018 09:36:39 -0700

## debian-policy 4.3.0.1

=== debian/changelog ===
debian-policy (4.3.0.1) unstable; urgency=medium

  * Correct heading in upgrading checklist "Version 4.2.2"->"Version 4.3.0".

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Dec 2018 11:11:04 +0000

debian-policy (4.3.0.0) unstable; urgency=medium

  * Policy: Update recommendations for stripping binaries and shlibs
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #188731
  * Policy: Slightly relax when copyright information need be included verbatim
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #912581
  * Policy: Required targets must not write outside of the source package tree
    Wording: Johannes Schauer <josch@debian.org>
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #845715
  * Policy: Packages should not contain a non-default series file
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #850156
  * virtual-package-names-list: Add dbus-session-bus, default-dbus-session-bus
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #833401
  * In a preexisting footnote, recommend passing -D to strip(1) when
    stripping static libraries.
    Thanks to Niels Thykier for the suggestion.
  * Add references to 'next' branch in README.md.
  * Convert virtual-package-names-list to YAML (Closes: #914383).
    Thanks to Jonathan Dowland for the patch.
  * Append missing '.git' to Vcs-Git.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Dec 2018 10:17:55 +0000

## debian-policy 4.3.0.2

=== debian/changelog ===
debian-policy (4.3.0.2) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #921889).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 09 Feb 2019 17:05:48 -0700

## debian-policy 4.3.0.3

=== Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 		policy/_build/latex/policy.pdf			\
 		policy/_build/policy.txt			\
 		policy/_build/text/upgrading-checklist.txt	\
-		virtual-package-names-list.txt
+		virtual-package-names-list.yaml
 
 # A list of generated info files to install.
 INFO_FILES := policy/_build/texinfo/debian-policy.info

=== debian/changelog ===
debian-policy (4.3.0.3) unstable; urgency=medium

  * Add link to jenkins.debian.net build of Policy (Closes: #921963).
    Thanks, Holger Levsen.
  * Rebuild against newer libjs-sphinxdoc (Closes: #921889).
    Thanks Gabriele Stilli for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 27 Feb 2019 16:59:51 -0700

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
  sphinx-intl,
  texinfo,
  xsltproc,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
-Vcs-Git: https://salsa.debian.org/dbnpolicy/policy
+Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 
 Package: debian-policy
 Architecture: all

## debian-policy 4.3.0.3+nmu1

=== debian/changelog ===
debian-policy (4.3.0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:15:29 +0800

## debian-policy 4.4.0.1

=== debian/changelog ===
debian-policy (4.4.0.1) unstable; urgency=medium

  * Rebuild against newer libjs-sphinxdoc (Closes: #932359).
    Thanks Gabriele Stilli for the report.
  * Clarify using more than one VCS-* field.
    Thanks to Guillem Jover for reporting the problem and Russ Allbery for
    the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 18 Jul 2019 21:01:09 +0100

debian-policy (4.4.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Recommend use of dh
    Wording: Russ Allbery <rra@debian.org>
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Sam Hartman <hartmans@debian.org>
    Closes: #930666
  * Policy: Permit -b in Vcs-Hg as well as Vcs-Git
    Wording: Chris Lamb <lamby@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #897217, #920355
  * Policy: Document versioned Provides:
    Wording: Dominic Hargreaves <dom@earth.li>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #761219
  * virtual-package-names-list: Add logind, default-logind
    Wording: Adam Borowski <kilobyte@angband.pl>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Closes: #917431
  * Add text to header of the virtual packages list describing the
    "(versioned)" annotation.
  * Fix reference to FHS section in Policy 9.1.2.
    Thanks to Juuso "Linda" Lapinlampi for the patch.
  * Process: Rewrite description of 'obsolete' usertag.
  * Process: Add 'stalled' usertag.
  * Add footnote to 2.3 with a list of licenses thought not to require the
    copying of all copyright notices into the package's copyright file
    (Closes: #928199).
    This was based on discussion between myself and FTP team members.

  [ Russ Allbery ]
  * Fix formatting of the debian_revision explanation in Policy 5.6.12.
    Thanks to Emmanuel Arias for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 07 Jul 2019 15:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  sphinx-intl,
  texinfo,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

## debian-policy 4.4.1.1

=== debian/changelog ===
debian-policy (4.4.1.1) unstable; urgency=medium

  * Add /run/reboot-required change to the upgrading checklist
    (Closes: #941475).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Oct 2019 07:29:56 -0700

debian-policy (4.4.1.0) unstable; urgency=medium

  * Policy: Only one Vcs-<type> field is permitted
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #931975
  * Policy: Document /run/reboot-required mechanism
    Wording: Karl O. Pinc <kop@meme.com>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #919507
  * Policy: doc-base now optional, not recommended
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #910783
  * Copyright format: state syntactical restrictions on Files: field
    Wording: Nicolas Boulenguez <nicolas@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #688481

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 29 Sep 2019 11:11:49 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  sphinx-intl,
  texinfo,
  xsltproc,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git

## debian-policy 4.5.0.0

=== debian/changelog ===
debian-policy (4.5.0.0) unstable; urgency=medium

  [ Russ Allbery ]
  * Clarify the footnote explaining why packages should not depend on X
    fonts.  Thanks, Stephen Kitt.

  [ Sean Whitton ]
  * Policy: Packages including daemons should ship systemd units
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Ansgar <ansgar@debian.org>
    Closes: #941198
  * Policy: New package usernames should begin with an underscore
    Wording: Philipp Kern <pkern@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #949390
  * Policy: Revise init script policy in light of GR result
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Sam Hartman <hartmans@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #948115
    - This change involved changing a number of Sphinx anchor names.  This
      may break some external links into Policy.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 20 Jan 2020 12:37:09 -0700

debian-policy (4.4.1.3) UNRELEASED; urgency=medium

  [ Sean Whitton ]
  * Fix 'day-of week'.
    Thanks to Jakub Wilk.

  [ Russ Allbery ]
  * Fix error in Perl example for the gain root command.  Thanks, Niels
    Thykier.  (Closes: #949007)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 04 Jan 2020 14:47:50 +0000

debian-policy (4.4.1.2) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Drop implementation details of sysvinit runlevels
    Wording: Ansgar <ansgar@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #941194
    See also #943583.
  * Fix "set          -e" extraneous whitespace (Closes: #943880).
    Thanks Sven Joachim for the patch.
  * Fix 'multple' typo (Closes: #944407).
    Thanks Ansgar for the patch.
  * Improve some phrasing in 7.8 (Closes: #944325).
    Thank you to Nicholas D Steeves for pointing out the problem and Russ
    Allbery for the new text.

  [ Russ Allbery ]
  * Remove mention of the old Packaging Manual from the package
    description.  This is ancient history and no longer likely to be
    helpful.  Thanks, Holger Levsen.  (Closes: #941835)
  * Add missing close brackets to the examples in the Diversions
    appendix.  Thanks, Abou Al Montacir.
  * Add explicit :manpage: markup to links to manual pages.
  * Fix anchor syntax for s-signalingreboot section.
  * Fix broken markup in a footnote about sponsored uploads.  Thanks,
    Guillem Jover.  (Closes: #944332)

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Nov 2019 18:09:12 -0700

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  sphinx-intl,
  texinfo,
  xsltproc,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy
 Vcs-Git: https://salsa.debian.org/dbnpolicy/policy.git
 
@@ -45,8 +45,6 @@
     - Autopkgtest - automatic as-installed package testing
     - Authoritative list of virtual package names
     - Policy checklist for upgrading your packages
- It also replaces the old Packaging Manual; most of the still-relevant
- content is now included as appendices to the Policy Manual.
 
 Package: debian-policy-ja
 Architecture: all

## debian-policy 4.5.0.1

=== debian/changelog ===
debian-policy (4.5.0.1) unstable; urgency=medium

  * Rename section "Convenience copies of code" -> "Embedded code copies"
    (Closes: #955036).
  * Use xelatex in Sphinx conf to deal with Unicode chars in input
    (Closes: #955083).
    - Add build-deps on texlive-xetex, fonts-freefont-otf, xindy.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Mar 2020 12:34:38 -0700

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  dia,
  docbook-xml,
  docbook-xsl,
+ fonts-freefont-otf,
  latexmk,
  libtext-multimarkdown-perl,
  libxml2-utils,
@@ -20,6 +21,8 @@
  sphinx-common (>= 1.6.5),
  sphinx-intl,
  texinfo,
+ texlive-xetex,
+ xindy,
  xsltproc,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/dbnpolicy/policy

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with linktree

override_dh_auto_install:
	dh_auto_install
	set -ex; for langdir in debian/tmp/usr/share/doc/debian-policy/*/policy.html; do	\
		lang=$${langdir%%/policy.html};							\
		lang=$${lang##*/};								\
		mkdir -p debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
		mv debian/tmp/usr/share/doc/debian-policy/$$lang				\
			debian/debian-policy-$$lang/usr/share/doc/debian-policy;		\
	done
	mv debian/tmp/* debian/debian-policy/
#	this file is not referenced by any HTML pages and we have no
#	idea what it does, so just delete it until further
#	investigation is possible
	rm -f debian/debian-policy/usr/share/doc/debian-policy/policy.html/_static/websupport.js

# Move libjs-sphinxdoc from ${misc:Depends} into ${linktree:Recommends}
#
# There are various inconveniences caused by having the
# libjs-sphinxdoc dependencies generated by dh_linktree in
# ${misc:Depends}; see #906139
#
# This hack (suggested by Ian Jackson) can be removed once #658238 is
# resolved, such that we can switch back to dh_sphinxdoc from
# dh_linktree
override_dh_linktree:
	set -ex; for f in debian/*.substvars; do		\
		if [ "$$f" != "debian/*.substvars" ]; then	\
			mv $$f $$f.new;				\
		fi 						\
	done
	dh_linktree
	set -ex; for f in debian/*.substvars; do				\
		sed 's/^misc:Depends/linktree:Recommends/' $$f >>$$f.new;	\
		mv $$f.new $$f;							\
	done
